Subject: bug#70423: 29.3; cc-mode hang at 100% cpu and consuming all available memory

From: Robert Weiner <[email-masked]>
Date: Sat, 20 Apr 2024 09:14:34 -0400

> On Apr 20, 2024, at 5:22 AM, Alan Mackenzie <[email-masked]> wrote:
> 
> Hello, M.
> 
> Yes, I can understand that.  As I said, I'll fix c-beginning-of-defun-1
> so that that can't possibly happen again, regardless of what happens to
> these regexps.

I think this is the crux of the fix needed, not a change in Hyperbole regexps.  Alan, Hyperbole had your new defun regexp for Java and Emacs still would hang until we applied your recent fix to cc-defs.el.  With that in place and no change to the c++ defun regex in Hyperbole, I have not been able to trigger a hang.  So let’s just add your additional fix described above, skip the c++ defun rewrite and see if any other issues appear.

Cheers,

Bob